FROM alpine:edge

LABEL maintainer="lenerd <lenerd@posteo.de>"

ENV VERSION 1.0

EXPOSE 9999 10000

RUN \
    echo http://dl-cdn.alpinelinux.org/alpine/edge/testing >> /etc/apk/repositories && \
    apk add --no-cache socat gcc python3-dev musl-dev gmp-dev mpfr-dev mpc1-dev && \
    pip3 install gmpy2 pyaes && \
    adduser -D -s /bin/sh user

COPY init.sh ecc.py gamebox.py shop.py secret.py flag.txt /home/user/

USER user
ENV HOME /home/user
WORKDIR /home/user
ENTRYPOINT ["./init.sh"]
